petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMGetDS

Get the PetscDS

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMGetDS(DM dm, PetscDS *prob)

### Input Parameter

dm -The DM Many br

### Output Parameter

prob -The PetscDS Many br

Many br

### See Also

DMSetDS()

Level:developer
Location:src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex12.c.html
src/snes/examples/tutorials/ex62.c.html
src/snes/examples/tutorials/ex77.c.html
src/ts/examples/tutorials/ex11.c.html